Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class ColorPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.ColorPeer

public class ColorPeer
extends java.lang.Object

Constructor Summary
`ColorPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `GetAlpha(int i, int[] ai)`
`static int` | `GetBlue(int i, int[] ai)`
`static int` | `GetBlueValue(int i)`
`static int` | `GetGreen(int i, int[] ai)`
`static int` | `GetGreenValue(int i)`
`static int` | `GetRed(int i, int[] ai)`
`static int` | `GetReducedColor(int i)`
`static int` | `GetRedValue(int i)`
`static int` | `GetRgb(int i, int[] ai)`
`static int` | `GetRgbValue(int i, int j, int k)`
`static int` | `GetRgbValue(java.lang.String s, int[] ai)`
`static int` | `MakeWebSafeColor(int i)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetAlpha(int i, int j)`
`static int` | `SetBlue(int i, int j)`
`static int` | `SetGreen(int i, int j)`
`static int` | `SetRed(int i, int j)`
`static int` | `SetRgb(int i, int j)`
`static int` | `SetRgbValue(int i, java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorPeer

    public ColorPeer()

Method Detail

### GetAlpha

    public static int GetAlpha(int i,
                               int[] ai)

### GetBlue

    public static int GetBlue(int i,
                              int[] ai)

### GetBlueValue

    public static int GetBlueValue(int i)

### GetGreen

    public static int GetGreen(int i,
                               int[] ai)

### GetGreenValue

    public static int GetGreenValue(int i)

### GetRed

    public static int GetRed(int i,
                             int[] ai)

### GetRedValue

    public static int GetRedValue(int i)

### GetReducedColor

    public static int GetReducedColor(int i)

### GetRgb

    public static int GetRgb(int i,
                             int[] ai)

### GetRgbValue

    public static int GetRgbValue(int i,
                                  int j,
                                  int k)

### GetRgbValue

    public static int GetRgbValue(java.lang.String s,
                                  int[] ai)

### MakeWebSafeColor

    public static int MakeWebSafeColor(int i)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetAlpha

    public static int SetAlpha(int i,
                               int j)

### SetBlue

    public static int SetBlue(int i,
                              int j)

### SetGreen

    public static int SetGreen(int i,
                               int j)

### SetRed

    public static int SetRed(int i,
                             int j)

### SetRgb

    public static int SetRgb(int i,
                             int j)

### SetRgbValue

    public static int SetRgbValue(int i,
                                  java.lang.String s)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD